##### 7.5.4.0. bernsteinBM

Procedure from library `dmod.lib` (see dmod_lib).

Usage:
  bernsteinBM(f [,eng]); f a poly, eng an optional int

Return:
  list (of roots of the Bernstein polynomial b and their multiplicies)

Purpose:
  compute the global Bernstein-Sato polynomial for a hypersurface,
  defined by f, according to the algorithm by Briancon and Maisonobe

Note:
  If eng <>0, `std` is used for Groebner basis computations,
  otherwise, and by default `slimgb` is used.

Display:
  If `printlevel`=1, progress debug messages will be printed,
  if `printlevel`>=2, all the debug messages will be printed.

Example:

    LIB "dmod.lib";
    ring r = 0,(x,y,z,w),Dp;
    poly F = x^3+y^3+z^2*w;
    printlevel = 0;
    bernsteinBM(F);
    ==> [1]:
    ==>    _[1]=-1
    ==>    _[2]=-2
    ==>    _[3]=-3/2
    ==>    _[4]=-5/3
    ==>    _[5]=-7/3
    ==>    _[6]=-7/6
    ==>    _[7]=-11/6
    ==> [2]:
    ==>    1,1,1,1,1,1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.